Subject: bug#14525: ls -k produced no size, ls -lk lists in bytes? What's up w/k?

From: Pádraig Brady <[email-masked]>
Date: Sat, 01 Jun 2013 16:53:13 +0100

unarchive 11794 13902
forcemerge 11794 13902 14525
stop

On 06/01/2013 02:02 AM, Linda Walsh wrote:
> 
> in Coreutils 8.21.1.1 (x86_64) on snoozy
> When I type in ls -k, I get a small listing (filenames only horizontally)
> (and no sizes).
> When I type in ls -lk, I get a long listing -- but it isn't using K, but
> bytes.
> 
> :-(.
> 
> Why k no worky?

Since coreutils 8.15 the behavior was changed to be more consistent
with other systems and POSIX:
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commit;h=448718

thanks,
Pádraig.